Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.debugger.sda
Class SDA

    java.lang.Object
      com.sun.squawk.Debugger
          com.sun.squawk.debugger.sda.SDA

    public final class SDA

extends Debugger

A SDA (Squawk Debugger Agent) instance handles the Squawk VM side of a JDWP connection to a Squawk Debugger Proxy for a particular isolate. This class implements the abstract class (@link java.lang.Debugger}. It runs as an isolate that is tightly connected to the isolate being debugged. An instance of this class is installed in the isolate being debugged as the debugging context for the application isolate.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.squawk.Debugger
`Debugger.BreakpointEvent, Debugger.Event, Debugger.ExceptionEvent, Debugger.LocationEvent, Debugger.SingleStepEvent`

Method Summary
`boolean` | `hasQuit()` Return true if the debugger has been detached, or in process of shuting down VM.
`static void` | `main(String[] args)` Program entry point.
`void` | `notifyEvent(Debugger.Event event)` Notifies this debugger when an event it may be interested in occurs.
`void` | `updateBreakpoints()` Updates the list of set breakpoints in the debuggee isolate.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hasQuit

    public boolean hasQuit()

  Return true if the debugger has been detached, or in process of shuting down VM.

  Returns:
    true if detaching

### notifyEvent

    public void notifyEvent(Debugger.Event event)

  Notifies this debugger when an event it may be interested in occurs.

  Specified by:
    `notifyEvent` in class `Debugger`
  Parameters:
    `event` - the event being reported to this debug agent

### updateBreakpoints

    public void updateBreakpoints()

  Updates the list of set breakpoints in the debuggee isolate.

### main

    public static void main(String[] args)

  Program entry point.

  Parameters:
    `args` - command line arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"